GET /v1/orders/{id}
scope
read_orders
リクエストパラメーター
| 名前 | 位置 | 型 | 必須 | 説明 |
|---|---|---|---|---|
id | パス | string | 必須 | 対象のリソース ID |
レスポンスの例
{
"data": {
"id": "1001",
"ordered_at": "2026-06-01T03:00:00Z",
"updated_at": "2026-06-01T03:30:00Z",
"status": "init",
"payment_method": "card",
"total": {
"amount": 3200,
"currency": "JPY"
},
"is_subscription": true,
"inflow_route": {
"id": "12",
"code": "gift-quick",
"name": "ギフトクイックURL"
},
"gift_status": "none",
"gift_source_order_id": "1000",
"sub_total": {
"amount": 3200,
"currency": "JPY"
},
"shipping_cost": {
"amount": 3200,
"currency": "JPY"
},
"option_price": {
"amount": 3200,
"currency": "JPY"
},
"purchaser": {
"last_name": "string",
"first_name": "string",
"zip": "string",
"prefecture": "string",
"city": "string",
"address_1": "string",
"address_2": "string",
"phone": "string"
}
}
}
解説
注文の詳細(ヘッダ)を取得します。read_orders_pii を持つ場合のみ購入者 purchaser(氏名・住所・電話)が含まれます。
エラーレスポンスの例
{
"error": {
"code": "insufficient_scope",
"message": "requires scope 'read_orders'",
"request_id": "req_01H..."
}
}
返しうるエラー: 401 / 403 / 404